hakyll-4.16.2.2: A static website compiler library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hakyll.Core.Provider.Metadata

Description

Internal module to parse metadata

Synopsis

- loadMetadata :: Provider -> Identifier -> IO (Metadata, Maybe String)
- parsePage :: String -> Either ParseException (Metadata, String)
- data MetadataException = MetadataException FilePath ParseException

# Documentation

loadMetadata :: Provider -> Identifier -> IO (Metadata, Maybe String) Source #

parsePage :: String -> Either ParseException (Metadata, String) Source #

data MetadataException Source #

Thrown in the IO monad if things go wrong. Provides a nice-ish error message.

Constructors

MetadataException FilePath ParseException |

#### Instances

Instances details

Exception MetadataException Source # |
Instance details Defined in Hakyll.Core.Provider.Metadata Methods toException :: MetadataException -> SomeException Source # fromException :: SomeException -> Maybe MetadataException Source # displayException :: MetadataException -> String Source #
Show MetadataException Source # |
Instance details Defined in Hakyll.Core.Provider.Metadata Methods showsPrec :: Int -> MetadataException -> ShowS Source # show :: MetadataException -> String Source # showList :: [MetadataException] -> ShowS Source #